<bugID>1158152<Summary>[UX][Breakdown] Identify areas where the browser is lacking touch-friendliness</Summary><Description>Firefox got slightly more touch-friendly with Australis, but we are still lacking in some areas. With many mid and high-level Windows laptops these days having touch screens, that is becoming even more important.

The objective of this ticket is to identify those issues and create bugs for them.</Description></bugID>